diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/tests/tests_pgagent_stats.py b/web/pgadmin/browser/server_groups/servers/pgagent/tests/tests_pgagent_stats.py
index 3bc3d0f6..067b43e3 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/tests/tests_pgagent_stats.py
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/tests/tests_pgagent_stats.py
@@ -8,38 +8,49 @@
 ##########################################################################
 
 import uuid
-from pgadmin.utils.route import BaseTestGenerator
+
+import pytest
+from grappa import should
+
+from pgadmin.utils.base_test_generator import BaseTestGenerator
 from regression.python_test_utils import test_utils as utils
 from . import utils as pgagent_utils
 
 
-class PgAgentStatsTestCase(BaseTestGenerator):
-    """This class will test the stats pgAgent job API"""
-    scenarios = [
-        ('Check the stats of pgAgent job', dict(url='/browser/pga_job/stats/'))
-    ]
+class TestPgAgentStats:
+    def test_pg_agent_stats(self, request, context_of_tests):
+        """
+        When checking the stats of pgAgent job
+        it returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        self.tester = context_of_tests['test_client']
+        self.server = context_of_tests['server']
 
-    def setUp(self):
-        flag, msg = pgagent_utils.is_valid_server_to_run_pgagent(self)
+        flag, message = pgagent_utils.is_valid_server_to_run_pgagent(self)
         if not flag:
-            self.skipTest(msg)
-        flag, msg = pgagent_utils.is_pgagent_installed_on_server(self)
+            pytest.skip(message)
+
+        flag, message = pgagent_utils.is_pgagent_installed_on_server(self)
         if not flag:
-            self.skipTest(msg)
+            pytest.skip(message)
+
+        url = '/browser/pga_job/obj/'
+
         name = "test_job_get%s" % str(uuid.uuid4())[1:8]
         self.job_id = pgagent_utils.create_pgagent_job(self, name)
 
-    def runTest(self):
-        """This function will check stats of pgAgent job"""
         response = self.tester.get(
             '{0}{1}/{2}/{3}'.format(
-                self.url, str(utils.SERVER_GROUP), str(self.server_id),
+                url, str(utils.SERVER_GROUP), str(self.server_id),
                 str(self.job_id)
             ),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
 
     def tearDown(self):
-        """Clean up code"""
         pgagent_utils.delete_pgagent_job(self)
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/__init__.py
index 9968fcae..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/__init__.py
@@ -6,10 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class ResourceGroupsCreateTestCase(BaseTestGenerator):
-    def runTest(self):
-        return
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_add.py b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_add.py
index c1793bc6..766c4e39 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_add.py
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_add.py
@@ -10,50 +10,48 @@
 import json
 import uuid
 
-from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+import pytest
+from grappa import should
+
+from pgadmin.utils.base_test_generator import BaseTestGenerator, \
+    PostgresVersion
 from regression.python_test_utils import test_utils as utils
 from . import utils as resource_groups_utils
 
 
-class ResourceGroupsAddTestCase(BaseTestGenerator):
-    """This class will test the add resource groups API"""
-    scenarios = [
-        ('Add resource groups', dict(url='/browser/resource_group/obj/'))
-    ]
+@pytest.mark.skip_databases(['pg'])
+@pytest.mark.skip_if_postgres_version({'below_version': PostgresVersion.v94},
+                                      'Resource groups are not supported '
+                                      'by PG9.3 '
+                                      'and PPAS9.3 and below.')
+class TestResourceGroupsAdd(BaseTestGenerator):
+    def test_add_new_resource_group(self, request, context_of_tests):
+        """
+        When request to add a resource group is valid
+        It returns success
+        """
+        request.addfinalizer(self.tearDown)
 
-    def setUp(self):
-        self.server_id = parent_node_dict["server"][-1]["server_id"]
-        server_con = server_utils.connect_server(self, self.server_id)
-        if not server_con["info"] == "Server connected.":
-            raise Exception("Could not connect to server to add resource "
-                            "groups.")
-        if "type" in server_con["data"]:
-            if server_con["data"]["type"] == "pg":
-                message = "Resource groups are not supported by PG."
-                self.skipTest(message)
-            else:
-                if server_con["data"]["version"] < 90400:
-                    message = "Resource groups are not supported by PPAS 9.3" \
-                              " and below."
-                    self.skipTest(message)
+        url = '/browser/resource_group/obj/'
+        server_info = context_of_tests["server_information"]
+        server_id = server_info["server_id"]
 
-    def runTest(self):
-        """This function will add resource groups under server node"""
+        http_client = context_of_tests['test_client']
+        self.server = context_of_tests['server']
         self.resource_group = "test_resource_group_add%s" % \
                               str(uuid.uuid4())[1:8]
         data = {"name": self.resource_group,
                 "cpu_rate_limit": 0,
                 "dirty_rate_limit": 0}
-        response = self.tester.post(self.url + str(utils.SERVER_GROUP) +
-                                    "/" + str(self.server_id) + "/",
+
+        response = http_client.post(url + str(utils.SERVER_GROUP) +
+                                    "/" + str(server_id) + "/",
                                     data=json.dumps(data),
                                     content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal(200)
 
     def tearDown(self):
-        """This function delete the resource group from the database."""
         connection = utils.get_db_connection(self.server['db'],
                                              self.server['username'],
                                              self.server['db_password'],
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_delete.py b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_delete.py
index be7eedcf..78a298f1 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_delete.py
@@ -9,53 +9,53 @@
 
 import uuid
 
-from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+import pytest
+from grappa import should
+
+from pgadmin.utils.base_test_generator import BaseTestGenerator, \
+    PostgresVersion
 from regression.python_test_utils import test_utils as utils
 from . import utils as resource_groups_utils
 
 
-class ResourceGroupsDeleteTestCase(BaseTestGenerator):
-    """This class will delete the resource groups"""
-    scenarios = [
-        ('Delete resource groups', dict(url='/browser/resource_group/obj/'))
-    ]
+@pytest.mark.skip_databases(['pg'])
+@pytest.mark.skip_if_postgres_version({'below_version': PostgresVersion.v94},
+                                      'Resource groups are not supported '
+                                      'by PG9.3 '
+                                      'and PPAS9.3 and below.')
+class TestResourceGroupsDelete(BaseTestGenerator):
+    def test_delete_resource_group(self, request, context_of_tests):
+        """
+        When request to delete a resource group is valid
+        It returns success
+        """
+        request.addfinalizer(self.tearDown)
+
+        self.server = context_of_tests['server']
+        server_id = context_of_tests['server_information']['server_id']
+        url = '/browser/resource_group/obj/'
+        http_client = context_of_tests['test_client']
 
-    def setUp(self):
-        self.server_id = parent_node_dict["server"][-1]["server_id"]
-        server_response = server_utils.connect_server(self, self.server_id)
-        if not server_response["info"] == "Server connected.":
-            raise Exception("Could not connect to server to add resource "
-                            "groups.")
-        if "type" in server_response["data"]:
-            if server_response["data"]["type"] == "pg":
-                message = "Resource groups are not supported by PG."
-                self.skipTest(message)
-            else:
-                if server_response["data"]["version"] < 90400:
-                    message = "Resource groups are not supported by PPAS " \
-                              "9.3 and below."
-                    self.skipTest(message)
         self.resource_group = "test_resource_group_delete%s" % \
                               str(uuid.uuid4())[1:8]
-        self.resource_group_id = resource_groups_utils.create_resource_groups(
+        resource_group_id = resource_groups_utils.create_resource_groups(
             self.server, self.resource_group)
-
-    def runTest(self):
-        """This function will delete resource groups."""
         resource_grp_response = resource_groups_utils.verify_resource_group(
             self.server, self.resource_group)
         if not resource_grp_response:
             raise Exception("Could not find the resource group to fetch.")
-        response = self.tester.delete(
-            "{0}{1}/{2}/{3}".format(self.url, utils.SERVER_GROUP,
-                                    self.server_id, self.resource_group_id),
+
+        response = http_client.delete(
+            "{0}{1}/{2}/{3}".format(
+                url,
+                utils.SERVER_GROUP,
+                server_id,
+                resource_group_id),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal(200)
 
     def tearDown(self):
-        """This function delete the resource group from the database."""
         connection = utils.get_db_connection(self.server['db'],
                                              self.server['username'],
                                              self.server['db_password'],
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_get.py b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_get.py
new file mode 100644
index 00000000..7365382a
--- /dev/null
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_get.py
@@ -0,0 +1,66 @@
+##########################################################################
+#
+# pgAdmin 4 - PostgreSQL Tools
+#
+# Copyright (C) 2013 - 2018, The pgAdmin Development Team
+# This software is released under the PostgreSQL Licence
+#
+##########################################################################
+
+import uuid
+
+import pytest
+from grappa import should
+
+from pgadmin.utils.base_test_generator import PostgresVersion
+from regression.python_test_utils import test_utils as utils
+from . import utils as resource_groups_utils
+
+
+@pytest.mark.skip_databases(['pg'])
+@pytest.mark.skip_if_postgres_version({'below_version': PostgresVersion.v94},
+                                      'Resource groups are not supported '
+                                      'by PG9.3 '
+                                      'and PPAS9.3 and below.')
+class TestResourceGroupsGet:
+    def test_get_resource_group(self, request, context_of_tests):
+        """
+        When request to get a resource group information
+        It returns success
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/resource_group/obj/'
+        http_client = context_of_tests['test_client']
+
+        self.server = context_of_tests['server']
+        server_id = context_of_tests['server_information']['server_id']
+
+        self.resource_group = "test_resource_group_get%s" % \
+                              str(uuid.uuid4())[1:8]
+        self.resource_group_id = resource_groups_utils.create_resource_groups(
+            self.server, self.resource_group)
+        resource_grp_response = resource_groups_utils.verify_resource_group(
+            self.server, self.resource_group)
+        if not resource_grp_response:
+            raise Exception("Could not find the resource group to fetch.")
+
+        response = http_client.get(
+            "{0}{1}/{2}/{3}".format(
+                url,
+                utils.SERVER_GROUP,
+                server_id,
+                self.resource_group_id),
+            follow_redirects=True)
+
+        response.status_code | should.be.equal(200)
+
+    def tearDown(self):
+        connection = utils.get_db_connection(self.server['db'],
+                                             self.server['username'],
+                                             self.server['db_password'],
+                                             self.server['host'],
+                                             self.server['port'],
+                                             self.server['sslmode'])
+        resource_groups_utils.delete_resource_group(connection,
+                                                    self.resource_group)
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_put.py b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_put.py
index bd66701d..d8f11837 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_put.py
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/test_resource_groups_put.py
@@ -10,62 +10,65 @@
 import json
 import uuid
 
-from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+import pytest
+from grappa import should
+
+from pgadmin.utils.base_test_generator import PostgresVersion
 from regression.python_test_utils import test_utils as utils
 from . import utils as resource_groups_utils
 
 
-class ResourceGroupsPutTestCase(BaseTestGenerator):
-    """This class will update the resource groups"""
-    scenarios = [
-        ('Put resource groups', dict(url='/browser/resource_group/obj/'))
-    ]
+@pytest.mark.skip_databases(['pg'])
+@pytest.mark.skip_if_postgres_version({'below_version': PostgresVersion.v94},
+                                      'Resource groups are not supported '
+                                      'by PG9.3 '
+                                      'and PPAS9.3 and below.')
+class TestResourceGroupsPut:
+    def test_delete_resource_group(self, request, context_of_tests):
+        """
+        When request to update a resource group is valid
+        It returns success
+        """
+        request.addfinalizer(self.tearDown)
 
-    def setUp(self):
-        self.server_id = parent_node_dict["server"][-1]["server_id"]
-        server_response = server_utils.connect_server(self, self.server_id)
-        if not server_response["info"] == "Server connected.":
-            raise Exception("Could not connect to server to add resource "
-                            "groups.")
-        if "type" in server_response["data"]:
-            if server_response["data"]["type"] == "pg":
-                message = "Resource groups are not supported by PG."
-                self.skipTest(message)
-            else:
-                if server_response["data"]["version"] < 90400:
-                    message = "Resource groups are not supported by PPAS 9.3" \
-                              " and below."
-                    self.skipTest(message)
-        self.resource_group_name = "test_resource_group_put%s" % \
-                                   str(uuid.uuid4())[1:8]
-        self.resource_group_id = resource_groups_utils.create_resource_groups(
-            self.server, self.resource_group_name)
+        url = '/browser/resource_group/obj/'
+        http_client = context_of_tests['test_client']
 
-    def runTest(self):
-        """This function will get the resource groups."""
+        self.server = context_of_tests['server']
+        self.server_id = context_of_tests['server_information']['server_id']
+
+        initial_resource_group_name = "test_resource_group_put%s" % \
+                                      str(uuid.uuid4())[1:8]
+        self.resource_group_id = resource_groups_utils.create_resource_groups(
+            self.server,
+            initial_resource_group_name)
         resource_grp_response = resource_groups_utils.verify_resource_group(
-            self.server, self.resource_group_name)
+            self.server,
+            initial_resource_group_name)
         if not resource_grp_response:
             raise Exception("Could not find the resource group to fetch.")
-        self.resource_group_name = "test_resource_group_put%s" % \
-                                   str(uuid.uuid4())[1:8]
+
+        self.updated_resource_group_name = "test_resource_group_put%s" % \
+                                           str(uuid.uuid4())[1:8]
+
         data = {"id": self.resource_group_id,
-                "name": self.resource_group_name}
-        response = self.tester.put('{0}{1}/{2}/{3}'.format(
-            self.url, utils.SERVER_GROUP, self.server_id,
+                "name": self.updated_resource_group_name}
+        response = http_client.put('{0}{1}/{2}/{3}'.format(
+            url,
+            utils.SERVER_GROUP,
+            self.server_id,
             self.resource_group_id), data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal(200)
 
     def tearDown(self):
-        """This function delete the resource group from the database."""
         connection = utils.get_db_connection(self.server['db'],
                                              self.server['username'],
                                              self.server['db_password'],
                                              self.server['host'],
                                              self.server['port'],
                                              self.server['sslmode'])
-        resource_groups_utils.delete_resource_group(connection,
-                                                    self.resource_group_name)
+        resource_groups_utils.delete_resource_group(
+            connection,
+            self.updated_resource_group_name)
diff --git a/web/pgadmin/browser/server_groups/servers/roles/__init__.py b/web/pgadmin/browser/server_groups/servers/roles/__init__.py
index 63d1bf7f..bb31e521 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/__init__.py
@@ -706,7 +706,7 @@ rolmembership:{
                 _("Could not drop the role.\n{0}").format(res)
             )
 
-        return success_return()
+        return success_return('Role dropped')
 
     @check_precondition()
     def sql(self, gid, sid, rid):
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/roles/tests/__init__.py
index a3d91465..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class RoleGeneratorTestCase(BaseTestGenerator):
-
-    def runTest(self):
-        return
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_add.py b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_add.py
index e2eeb2d5..066c43bb 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_add.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_add.py
@@ -9,47 +9,54 @@
 
 import json
 
+from grappa import should
+
 from pgadmin.utils import server_utils as server_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from pgadmin.utils.tests_helper import convert_response_to_json, \
+    assert_json_values_from_response
 from regression.python_test_utils import test_utils as utils
 from . import utils as roles_utils
 
 
-class LoginRoleAddTestCase(BaseTestGenerator):
-    """This class has add role scenario"""
-
-    scenarios = [
-        # Fetching default URL for roles node.
-        ('Check Role Node', dict(url='/browser/role/obj/'))
-    ]
-
-    def setUp(self):
-        pass
+class TestRoleAdd:
+    def test_add_new_role(self, request, context_of_tests):
+        """
+        When a request is sent to add a new Role is valid
+        It return success
+        """
+        request.addfinalizer(self.tearDown)
 
-    def runTest(self):
-        """This function test the add role scenario"""
-        server_id = parent_node_dict["server"][-1]["server_id"]
-        server_response = server_utils.connect_server(self, server_id)
+        self.server = context_of_tests['server']
+        http_client = context_of_tests['test_client']
+        url = '/browser/role/obj/'
+        server_id = context_of_tests['server_information']['server_id']
+        server_response = server_utils.client_connect_server(
+            http_client,
+            server_id,
+            self.server['db_password'])
         if not server_response['data']['connected']:
-            raise Exception("Server not found to add the role.")
+            raise Exception('Server not found to add the role.')
 
         data = roles_utils.get_role_data(self.server['db_password'])
         self.role_name = data['rolname']
-        response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' + str(server_id) + '/',
+        response = http_client.post(
+            url + str(utils.SERVER_GROUP) + '/' + str(server_id) + '/',
             data=json.dumps(data),
             content_type='html/json'
         )
-        self.assertEquals(response.status_code, 200)
-        response_data = json.loads(response.data.decode('utf-8'))
-        role_id = response_data['node']['_id']
-        role_dict = {"server_id": server_id, "role_id": role_id,
-                     "role_name": self.role_name}
-        utils.write_node_info("lrid", role_dict)
+        response.status_code | should.be.equal(200)
+
+        json_response = convert_response_to_json(response)
+        assert_json_values_from_response(
+            json_response,
+            'role',
+            'pgadmin.node.role',
+            False,
+            'icon-group',
+            self.role_name
+        )
 
     def tearDown(self):
-        """This function delete the role from added server"""
         connection = utils.get_db_connection(self.server['db'],
                                              self.server['username'],
                                              self.server['db_password'],
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_delete.py b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_delete.py
index 22c6db2f..95778a94 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_delete.py
@@ -9,37 +9,44 @@
 
 import uuid
 
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from grappa import should
+
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 from . import utils as roles_utils
 
 
-class LoginRoleDeleteTestCase(BaseTestGenerator):
-    """This class has delete role scenario"""
-    scenarios = [
-        # Fetching default URL for roles node.
-        ('Check Role Node', dict(url='/browser/role/obj/'))
-    ]
-
-    def setUp(self):
-        self.role_name = "role_delete_%s" % str(uuid.uuid4())[1:8]
-        self.role_id = roles_utils.create_role(self.server, self.role_name)
-        self.server_id = parent_node_dict["server"][-1]["server_id"]
-        role_dict = {"server_id": self.server_id, "role_id": self.role_id,
-                     "role_name": self.role_name}
-        utils.write_node_info("lrid", role_dict)
-
-    def runTest(self):
-        """This function test the delete role scenario"""
-        response = self.tester.delete(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.role_id),
+class TestRoleDelete:
+    def test_role_delete(self, request, context_of_tests):
+        """
+        When the role DELETE request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/role/obj/'
+        http_client = context_of_tests['test_client']
+
+        self.server = context_of_tests['server']
+        server_id = context_of_tests['server_information']['server_id']
+        self.role_name = 'role_delete_%s' % str(uuid.uuid4())[1:8]
+        role_id = roles_utils.create_role(self.server, self.role_name)
+
+        response = http_client.delete(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(server_id) + '/' + str(role_id),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('info') > should.be.equal.to(
+            'Role dropped')
+        json_response | should.have.key('errormsg') > should.be.empty
+        json_response | should.have.key('data')
+        json_response | should.have.key('result') > should.be.none
+        json_response | should.have.key('success') > should.be.equal.to(1)
 
     def tearDown(self):
-        """This function delete the role from added server"""
         connection = utils.get_db_connection(self.server['db'],
                                              self.server['username'],
                                              self.server['db_password'],
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_get.py b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_get.py
index bbb1a0a7..33d5dc17 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_get.py
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/test_role_get.py
@@ -9,37 +9,65 @@
 
 import uuid
 
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
+from grappa import should
+
+from pgadmin.utils.tests_helper import convert_response_to_json
 from regression.python_test_utils import test_utils as utils
 from . import utils as roles_utils
 
 
-class LoginRoleGetTestCase(BaseTestGenerator):
-    """This class tests the get role scenario"""
-    scenarios = [
-        # Fetching default URL for roles node.
-        ('Check Role Node', dict(url='/browser/role/obj/'))
-    ]
-
-    def setUp(self):
-        self.server_id = parent_node_dict["server"][-1]["server_id"]
-        self.role_name = "role_get_%s" % str(uuid.uuid4())[1:8]
-        self.role_id = roles_utils.create_role(self.server, self.role_name)
-        role_dict = {"server_id": self.server_id, "role_id": self.role_id,
-                     "role_name": self.role_name}
-        utils.write_node_info("lrid", role_dict)
-
-    def runTest(self):
-        """This function test the get role scenario"""
-        response = self.tester.get(
-            self.url + str(utils.SERVER_GROUP) + '/' +
-            str(self.server_id) + '/' + str(self.role_id),
+class TestRoleGet:
+    def test_role_get(self, request, context_of_tests):
+        """
+        When the role GET request is send to the backend
+        it returns 200 status
+        """
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/role/obj/'
+        http_client = context_of_tests['test_client']
+
+        self.server = context_of_tests['server']
+        server_id = context_of_tests['server_information']['server_id']
+
+        self.role_name = 'role_get_%s' % str(uuid.uuid4())[1:8]
+        role_id = roles_utils.create_role(self.server, self.role_name)
+
+        response = http_client.get(
+            url + str(utils.SERVER_GROUP) + '/' +
+            str(server_id) + '/' + str(role_id),
             follow_redirects=True)
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
+        json_response = convert_response_to_json(response)
+        json_response | should.have.key('oid')
+        json_response | should.have.key('oid-2')
+        json_response | should.have.key('rolpassword') > \
+            should.be.equal.to('')
+        json_response | should.have.key('rolcreatedb') > \
+            should.be.false
+        json_response | should.have.key('rolsuper') > \
+            should.be.false
+        json_response | should.have.key('rolcreaterole') > \
+            should.be.false
+        json_response | should.have.key('rolcatupdate') > \
+            should.be.false
+        json_response | should.have.key('rolname') > \
+            should.be.equal.to(self.role_name)
+        json_response | should.have.key('rolvaliduntil') > \
+            should.be.none
+        json_response | should.have.key('rolcanlogin') > \
+            should.be.true
+        json_response | should.have.key('description') > \
+            should.be.none
+        json_response | should.have.key('rolinherit') > \
+            should.be.true
+        json_response | should.have.key('rolconfig') > \
+            should.be.none
+        json_response | should.have.key('rolmembership') > \
+            should.be.equal.to([])
 
     def tearDown(self):
-        """This function delete the role from added server"""
         connection = utils.get_db_connection(self.server['db'],
                                              self.server['username'],
                                              self.server['db_password'],
